# educational/urls.py
# Generated by uml2django

from django.urls import path, include
from educational.rest_api.router import router

from educational.views import (
	SchoolarPeriodCreateView,
	SchoolarPeriodDeleteView,
	SchoolarPeriodDetailView,
	SchoolarPeriodListView,
	SchoolarPeriodUpdateView,
	SubjectCreateView,
	SubjectDeleteView,
	SubjectDetailView,
	SubjectListView,
	SubjectUpdateView,
	SubjectLevelCreateView,
	SubjectLevelDeleteView,
	SubjectLevelDetailView,
	SubjectLevelListView,
	SubjectLevelUpdateView,
	SubjectRequirementCreateView,
	SubjectRequirementDeleteView,
	SubjectRequirementDetailView,
	SubjectRequirementListView,
	SubjectRequirementUpdateView,
	SubjectClassCreateView,
	SubjectClassDeleteView,
	SubjectClassDetailView,
	SubjectClassListView,
	SubjectClassUpdateView,
	SubjectClassSchedulePeriodCreateView,
	SubjectClassSchedulePeriodDeleteView,
	SubjectClassSchedulePeriodDetailView,
	SubjectClassSchedulePeriodListView,
	SubjectClassSchedulePeriodUpdateView
)


urlpatterns = [
    path('', include(router.urls)),
	path("SchoolarPeriod/create", SchoolarPeriodCreateView.as_view(), name="schoolarperiod-create"),
	path("SchoolarPeriod/<int:pk>/delete", SchoolarPeriodDeleteView.as_view(), name="schoolarperiod-delete"),
	path("SchoolarPeriod/<int:pk>", SchoolarPeriodDetailView.as_view(), name="schoolarperiod-detail"),
	path("SchoolarPeriod/list", SchoolarPeriodListView.as_view(), name="schoolarperiod-list"),
	path("SchoolarPeriod/<int:pk>/update", SchoolarPeriodUpdateView.as_view(), name="schoolarperiod-update"),
	path("Subject/create", SubjectCreateView.as_view(), name="subject-create"),
	path("Subject/<int:pk>/delete", SubjectDeleteView.as_view(), name="subject-delete"),
	path("Subject/<int:pk>", SubjectDetailView.as_view(), name="subject-detail"),
	path("Subject/list", SubjectListView.as_view(), name="subject-list"),
	path("Subject/<int:pk>/update", SubjectUpdateView.as_view(), name="subject-update")
,
	path("SubjectLevel/create", SubjectLevelCreateView.as_view(), name="subjectlevel-create"),
	path("SubjectLevel/<int:pk>/delete", SubjectLevelDeleteView.as_view(), name="subjectlevel-delete"),
	path("SubjectLevel/<int:pk>", SubjectLevelDetailView.as_view(), name="subjectlevel-detail"),
	path("SubjectLevel/list", SubjectLevelListView.as_view(), name="subjectlevel-list"),
	path("SubjectLevel/<int:pk>/update", SubjectLevelUpdateView.as_view(), name="subjectlevel-update")
,
	path("SubjectRequirement/create", SubjectRequirementCreateView.as_view(), name="subjectrequirement-create"),
	path("SubjectRequirement/<int:pk>/delete", SubjectRequirementDeleteView.as_view(), name="subjectrequirement-delete"),
	path("SubjectRequirement/<int:pk>", SubjectRequirementDetailView.as_view(), name="subjectrequirement-detail"),
	path("SubjectRequirement/list", SubjectRequirementListView.as_view(), name="subjectrequirement-list"),
	path("SubjectRequirement/<int:pk>/update", SubjectRequirementUpdateView.as_view(), name="subjectrequirement-update")
,
	path("SubjectClass/create", SubjectClassCreateView.as_view(), name="subjectclass-create"),
	path("SubjectClass/<int:pk>/delete", SubjectClassDeleteView.as_view(), name="subjectclass-delete"),
	path("SubjectClass/<int:pk>", SubjectClassDetailView.as_view(), name="subjectclass-detail"),
	path("SubjectClass/list", SubjectClassListView.as_view(), name="subjectclass-list"),
	path("SubjectClass/<int:pk>/update", SubjectClassUpdateView.as_view(), name="subjectclass-update")
,
	path("SubjectClassSchedulePeriod/create", SubjectClassSchedulePeriodCreateView.as_view(), name="subjectclassscheduleperiod-create"),
	path("SubjectClassSchedulePeriod/<int:pk>/delete", SubjectClassSchedulePeriodDeleteView.as_view(), name="subjectclassscheduleperiod-delete"),
	path("SubjectClassSchedulePeriod/<int:pk>", SubjectClassSchedulePeriodDetailView.as_view(), name="subjectclassscheduleperiod-detail"),
	path("SubjectClassSchedulePeriod/list", SubjectClassSchedulePeriodListView.as_view(), name="subjectclassscheduleperiod-list"),
	path("SubjectClassSchedulePeriod/<int:pk>/update", SubjectClassSchedulePeriodUpdateView.as_view(), name="subjectclassscheduleperiod-update")
]
